"use client";
const c = {}.hasOwnProperty;
function d(s, e) {
  const i = e || {};
  function n(t, ...a) {
    let o = n.invalid;
    const l = n.handlers;
    if (t && c.call(t, s)) {
      const r = String(t[s]);
      o = c.call(l, r) ? l[r] : n.unknown;
    }
    if (o)
      return o.call(this, t, ...a);
  }
  return n.handlers = i.handlers || {}, n.invalid = i.invalid, n.unknown = i.unknown, n;
}
export {
  d as zwitch
};
